/*
 * Copyright 2010 Red Hat, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.jboss.soa.dsp.example;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.soa.dsp.ServiceEndpointReference;
 
public class UndeployServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	    PrintWriter out = response.getWriter();
	    response.setContentType("text/html");
	    out.println("<h1>Dynamic Service Provider Example</h1>");
	    out.println();
 
	    ServiceEndpointReference ser=DeployStore.get((String)request.getParameter("seref"));
	    
	    if (ser == null) {
	    	out.println("ERROR: Unable to find service endpoint reference with key '"+
	    					request.getAttribute("seref")+"'<br>");
	    } else {
	    	WSDeployer deployer=new WSDeployer();
	    	
	    	try {
	    		deployer.undeploy(ser);
				
				DeployStore.remove(ser);

	    	} catch(Exception e) {
		    	out.println("ERROR: Unable to undeploy service endpoint reference with key '"+
    					request.getAttribute("seref")+"'<br>");
		    	e.printStackTrace();
	    	}
	    }
	    
	    DSPExampleForm.buildForm(out);
	    
	    out.close();
	}
}